Component deployments
Select a verified READY runtime revision while in MANUAL mode.
Select a verified READY runtime revision while in MANUAL mode. The request validates the component lifecycle and current runtime deployment state.
PUT
/
api
/
v1
/
component
/
{componentId}
/
runtime
/
active-revision
Select a verified READY runtime revision while in MANUAL mode.
curl --request PUT \
--url https://api.revoengine.com/api/v1/component/{componentId}/runtime/active-revision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedGeneration": 1
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', expectedGeneration: 1})
};
fetch('https://api.revoengine.com/api/v1/component/{componentId}/runtime/active-revision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/{componentId}/runtime/active-revision"
payload = {
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedGeneration": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"availability": "NOT_READY",
"activationMode": "AUTO",
"generation": 1,
"hasPendingRevision": true,
"desiredRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activeRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activeRevisionNumber": 2,
"desiredRevisionNumber": 2,
"activeDeploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestDeploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestDeployment": {
"deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 8,
"attempt": 1,
"status": "QUEUED",
"sourceDigest": "<string>",
"artifactReady": true,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"stage": "PREPARING",
"error": {
"code": "DEPENDENCY_INSTALL_FAILED",
"message": "The deployment could not install one or more dependencies.",
"retryable": true
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Body
application/json
Response
Available options:
NOT_READY, READY, DISABLED Available options:
AUTO, MANUAL Required range:
x >= 0True when the newest saved runtime revision is not the active revision.
Required range:
x >= 1Required range:
x >= 1Show child attributes
Show child attributes
⌘I
Select a verified READY runtime revision while in MANUAL mode.
curl --request PUT \
--url https://api.revoengine.com/api/v1/component/{componentId}/runtime/active-revision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedGeneration": 1
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', expectedGeneration: 1})
};
fetch('https://api.revoengine.com/api/v1/component/{componentId}/runtime/active-revision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/{componentId}/runtime/active-revision"
payload = {
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedGeneration": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"availability": "NOT_READY",
"activationMode": "AUTO",
"generation": 1,
"hasPendingRevision": true,
"desiredRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activeRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activeRevisionNumber": 2,
"desiredRevisionNumber": 2,
"activeDeploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestDeploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestDeployment": {
"deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 8,
"attempt": 1,
"status": "QUEUED",
"sourceDigest": "<string>",
"artifactReady": true,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"stage": "PREPARING",
"error": {
"code": "DEPENDENCY_INSTALL_FAILED",
"message": "The deployment could not install one or more dependencies.",
"retryable": true
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}
